Skip to main content
PATCH
Update dispatch strategy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json

Common schema for inputting a dispatch strategy.

label
string
required
Maximum string length: 80
id
string | null
allowedProviders
string[] | null
enableAutoDispatch
boolean | null
providerSelectionStrategy
enum<string>
Available options:
lowest_price,
preferred_order
reassignOnFailure
boolean | null
enableMaxDeliveryFee
boolean | null
maxDeliveryFeeCents
integer | null
costSplitStrategy
enum<string>
Available options:
none,
price,
percentage
costSplitMaxPercentage
integer | null
costSplitMaxFixedPriceCents
integer | null
smartReassignment
boolean | null

Response

OK

Common schema for inputting a dispatch strategy.

label
string
required
Maximum string length: 80
id
string | null
allowedProviders
string[] | null
enableAutoDispatch
boolean | null
providerSelectionStrategy
enum<string>
Available options:
lowest_price,
preferred_order
reassignOnFailure
boolean | null
enableMaxDeliveryFee
boolean | null
maxDeliveryFeeCents
integer | null
costSplitStrategy
enum<string>
Available options:
none,
price,
percentage
costSplitMaxPercentage
integer | null
costSplitMaxFixedPriceCents
integer | null
smartReassignment
boolean | null